dht::log Namespace Reference

## Namespaces

namespace | Color

## Functions

constexpr const Color::Modifier | def (Color::FG_DEFAULT)
constexpr const Color::Modifier | red (Color::FG_RED)
constexpr const Color::Modifier | yellow (Color::FG_YELLOW)
OPENDHT_PUBLIC void | printLog (std::ostream &s, char const *m, va_list args)
OPENDHT_PUBLIC void | enableLogging (dht::DhtRunner &dht)
OPENDHT_PUBLIC void | enableFileLogging (dht::DhtRunner &dht, const std::string &path)
OPENDHT_PUBLIC void | disableLogging (dht::DhtRunner &dht)
OPENDHT_PUBLIC void | enableSyslog (dht::DhtRunner &dht, const char *name)

## Detailed Description

Logging-related functions

## Function Documentation

## printLog()

OPENDHT_PUBLIC void dht::log::printLog | ( | std::ostream & | s,
|  | char const * | m,
|  | va_list | args
| ) |  |

Print va_list to std::ostream (used for logging).